.Dd Mar 3, 2024
.Dt RFDUPES 1
.Os
.Sh NAME
.Nm rfdupes
.Nd remove file duplicates
.Sh SYNOPSIS
.Nm rfdupes
.Ar dir ...
.Op Fl cnv
.Op Fl d Ar dir ...  
.Op Fl k Ar dir ...  
.Sh DESCRIPTION
.Nm rfdupes
is an utility that scans for and removes duplicate files within a given directory or set of directories. It may also be given individual filenames as arguments.

Files found as having the same size are then compared by their md5 hashes, and finally compared bit-by-bit to ensure actual duplication before deletion.

The options are as follows:
.Bl -tag -width Ds
.It Fl H
treat hardlinks as duplicates
.It Fl c
prompt for confirmation before each deletion
.It Fl d Ar dir ...
only delete duplicates located within the 
.Ar dir
directory
.It Fl k Ar dir ...
do not delete (do keep) files located within the
.Ar dir
directory
.It Fl n
do nothing - only display what would be done
.Fl nn
outputs files that have identical sizes
.Fl nnn
outputs files that have identical hashes
.Fl nnnn
outputs files that are identical to bit
.It Fl s
follow symlinks
.It Fl v
verbose outuput:
.Fl v
displays filenames while deleting
.Fl vv
displays kept duplicates
.Fl vvv
displays pending operations

.\" .Sh EXIT STATUS

.Sh EXAMPLES

.Sh SEE ALSO
.Xr fdupes 1
.Sh HISTORY
Written from scratch as inspired by Adrian Lopez's original
.Xr fdupes 1 .
.Sh AUTHORS
.An Sylvain Saboua Aq Mt sylvain@saboua.me
